# Welcome to Cypherblock

## All you need to know and do

### Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key by emailing us at **<cypherblock.xyz@gmail.com>**

### Make your first request

To make your first request, send an authenticated request to the **check** endpoint. This will check a given `address, ens or domain`

## Check an address

<mark style="color:blue;">`GET`</mark> `https://cypherblock.xyz/api/check`

Checks whether an address, ens or domain has been reported as a scam + its trustability score

#### Query Parameters

| Name                                    | Type   | Description            |
| --------------------------------------- | ------ | ---------------------- |
| value<mark style="color:red;">\*</mark> | String | Address, ENS or domain |

#### Headers

| Name                                                | Type   | Description  |
| --------------------------------------------------- | ------ | ------------ |
| X-Cypherblock-API<mark style="color:red;">\*</mark> | String | Your API key |

{% tabs %}
{% tab title="200 Successful response (example)" %}

```json
{
  "address": "0x9b744c0451d73c0958d8aa566dad33022e4ee797",
  "ens": "sbf.eth",
  "trust_percentage": 3,
  "trust_percentage_pretty": "very low",
  "number_of_erc20_transactions": 666,
  "number_of_transactions": 6969,
  "erc20_balance": 0,
  "erc20_count": 4,
  "first_transaction_time": "3 years ago",
  "last_transaction_time": "14 days ago",
  "nft_count": 0,
  "balance_eth": 0.0001,
  "balance_usd": 0,
  "total_value_sent": 30000.0615,
  "total_value_received": 3,
  "eth_to_usd_conversion_rate": 1328.3,
  "is_contract": false,
  "scam": {
    "is_scam": true,
    "reports_count": 4K,
    "report_url": "https://www.chainabuse.com/address/0x9b744C0451D73C0958d8aA566dAd33022E4Ee797"
  }
}
```

{% endtab %}

{% tab title="401 Permission denied" %}
Missing or invalid API key
{% endtab %}

{% tab title="400: Bad Request Invalid address, ens or domain" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Examples

Take a look at how you might call this method using `curl`:

{% tabs %}
{% tab title="curl" %}

```shell
curl https://cypherblock.xyz/api/check?value=vitalik.eth  
    -H "X-Cypherblock-API={your_api_key}" 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cypherblock.xyz/welcome-to-cypherblock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
